Package org.eclipse.m2m.atl.emftvm.impl.resource

# Class LoadInstructionParametersSwitch

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.EmftvmSwitch<Instruction>
org.eclipse.m2m.atl.emftvm.impl.resource.LoadInstructionParametersSwitch

public class LoadInstructionParametersSwitch extends EmftvmSwitch<Instruction>
Loads `Instruction` parameters from a `DataInputStream`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final ConstantPool`
`constants`
`protected final DataInputStream`
`inputStream`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.EmftvmSwitch

`modelPackage`

## Constructor Summary

Constructors
Constructor
Description
`LoadInstructionParametersSwitch(DataInputStream inputStream, ConstantPool constants)`
Creates a new `LoadInstructionParametersSwitch`.

## Method Summary

Modifier and Type
Method
Description
`Instruction`
`caseBranchInstruction(BranchInstruction object)`
Returns the result of interpreting the object as an instance of 'Branch Instruction'.
`Instruction`
`caseCodeBlockInstruction(CodeBlockInstruction object)`
Returns the result of interpreting the object as an instance of 'Code Block Instruction'.
`Instruction`
`caseFieldInstruction(FieldInstruction object)`
Returns the result of interpreting the object as an instance of 'Field Instruction'.
`Instruction`
`caseFindtype(Findtype object)`
Returns the result of interpreting the object as an instance of 'Findtype'.
`Instruction`
`caseIfte(Ifte object)`
Returns the result of interpreting the object as an instance of 'Ifte'.
`Instruction`
`caseInvokeInstruction(InvokeInstruction object)`
Returns the result of interpreting the object as an instance of 'Invoke Instruction'.
`Instruction`
`caseInvokeOperationInstruction(InvokeOperationInstruction object)`
Returns the result of interpreting the object as an instance of 'Invoke Operation Instruction'.
`Instruction`
`caseLocalVariableInstruction(LocalVariableInstruction object)`
Returns the result of interpreting the object as an instance of 'Local Variable Instruction'.
`Instruction`
`caseMatch(Match object)`
Returns the result of interpreting the object as an instance of 'Match'.
`Instruction`
`caseNew(New object)`
Returns the result of interpreting the object as an instance of 'New'.
`Instruction`
`casePush(Push object)`
Returns the result of interpreting the object as an instance of 'Push'.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.EmftvmSwitch

`caseAdd, caseAllinst, caseAllinstIn, caseAnd, caseCodeBlock, caseDelete, caseDup, caseDupX1, caseEnditerate, caseExecEnv, caseFeature, caseField, caseFindtypeS, caseGet, caseGetcb, caseGetenv, caseGetenvtype, caseGetStatic, caseGetSuper, caseGetTrans, caseGoto, caseIf, caseIfn, caseImplies, caseInputRuleElement, caseInsert, caseInstruction, caseInvoke, caseInvokeAllCbs, caseInvokeCb, caseInvokeCbS, caseInvokeStatic, caseInvokeSuper, caseIsnull, caseIterate, caseLineNumber, caseLoad, caseLocalVariable, caseMatchS, caseMetamodel, caseModel, caseModelDeclaration, caseModule, caseNamedElement, caseNewS, caseNot, caseOperation, caseOr, caseOutputRuleElement, caseParameter, casePop, casePushf, casePusht, caseRemove, caseReturn, caseRule, caseRuleElement, caseSet, caseSetStatic, caseStore, caseSwap, caseSwapX1, caseTypedElement, caseXor, defaultCase, doSwitch, doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### inputStream

protected final DataInputStream inputStream

### constants

protected final ConstantPool constants

## Constructor Details

### LoadInstructionParametersSwitch

public LoadInstructionParametersSwitch(DataInputStream inputStream, ConstantPool constants)
Creates a new `LoadInstructionParametersSwitch`.

Parameters:
  `inputStream` - the input stream
  `constants` - the constant pool

## Method Details

### caseBranchInstruction

public Instruction caseBranchInstruction(BranchInstruction object)
Returns the result of interpreting the object as an instance of 'Branch Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseBranchInstruction` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Branch Instruction'.
See Also:
  - `doSwitch(EObject)`

### caseFieldInstruction

public Instruction caseFieldInstruction(FieldInstruction object)
Returns the result of interpreting the object as an instance of 'Field Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseFieldInstruction` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Field Instruction'.
See Also:
  - `doSwitch(EObject)`

### caseFindtype

public Instruction caseFindtype(Findtype object)
Returns the result of interpreting the object as an instance of 'Findtype'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseFindtype` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Findtype'.
See Also:
  - `doSwitch(EObject)`

### caseInvokeInstruction

public Instruction caseInvokeInstruction(InvokeInstruction object)
Returns the result of interpreting the object as an instance of 'Invoke Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseInvokeInstruction` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Invoke Instruction'.
See Also:
  - `doSwitch(EObject)`

### caseInvokeOperationInstruction

public Instruction caseInvokeOperationInstruction(InvokeOperationInstruction object)
Returns the result of interpreting the object as an instance of 'Invoke Operation Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseInvokeOperationInstruction` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Invoke Operation Instruction'.
See Also:
  - `doSwitch(EObject)`

### caseLocalVariableInstruction

public Instruction caseLocalVariableInstruction(LocalVariableInstruction object)
Returns the result of interpreting the object as an instance of 'Local Variable Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseLocalVariableInstruction` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Local Variable Instruction'.
See Also:
  - `doSwitch(EObject)`

### caseNew

public Instruction caseNew(New object)
Returns the result of interpreting the object as an instance of 'New'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseNew` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'New'.
See Also:
  - `doSwitch(EObject)`

### casePush

public Instruction casePush(Push object)
Returns the result of interpreting the object as an instance of 'Push'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `casePush` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Push'.
See Also:
  - `doSwitch(EObject)`

### caseMatch

public Instruction caseMatch(Match object)
Returns the result of interpreting the object as an instance of 'Match'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseMatch` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Match'.
See Also:
  - `doSwitch(EObject)`

### caseCodeBlockInstruction

public Instruction caseCodeBlockInstruction(CodeBlockInstruction object)
Returns the result of interpreting the object as an instance of 'Code Block Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseCodeBlockInstruction` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Code Block Instruction'.
See Also:
  - `doSwitch(EObject)`

### caseIfte

public Instruction caseIfte(Ifte object)
Returns the result of interpreting the object as an instance of 'Ifte'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseIfte` in class `EmftvmSwitch<Instruction>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ifte'.
See Also:
  - `doSwitch(EObject)`